package com.kingdee.eas.custom.interfacelog.businessoperationlog;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class OperateLogCollection extends AbstractObjectCollection 
{
    public OperateLogCollection()
    {
        super(OperateLogInfo.class);
    }
    public boolean add(OperateLogInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(OperateLogCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(OperateLogInfo item)
    {
        return removeObject(item);
    }
    public OperateLogInfo get(int index)
    {
        return(OperateLogInfo)getObject(index);
    }
    public OperateLogInfo get(Object key)
    {
        return(OperateLogInfo)getObject(key);
    }
    public void set(int index, OperateLogInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(OperateLogInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(OperateLogInfo item)
    {
        return super.indexOf(item);
    }
}